#include "me_iostm8s003f3.h"
#include "binary.h"

int main( void )
{
  char CH;
  CLK_CKDIVRA = 0x00;
  CLK_PCKENR1 = 0xFF; // Enable peripherals
  SPI_CR1.LSBFIRST = 0; //Frame format -- 0: MSB is transmitted first -- 1: LSB is transmitted first
  SPI_CR1.SPE = 1; // SPI enable -- 0: Peripheral disabled -- 1: Peripheral enabled
  SPI_CR1.BR=3;   // Baud rate control 
                  //  000: fMASTER/2
                  //  001: fMASTER/4
                  //  010: fMASTER/8
                  //  011: fMASTER/16
                  //  100: fMASTER/32
                  //  101: fMASTER/64
                  //  110: fMASTER/128
                  //  111: fMASTER/256
  
  SPI_CR1.MSTR = 0; // Master selection -- 0: Slave configuration -- 1: Master configuration
  SPI_CR1.CPOL = 0; // Clock polarity -- 0: SCK to 0 when idle -- 1: SCK to 1 when idle
  SPI_CR1.CPHA = 0; // Clock phase -- 0: The first clock transition is the first data capture edge  -- 1: The second clock transition is the first data capture edge
  SPI_CR2.SSI = 0;  // Internal slave select -- 0: Slave mode -- 1: Master mode
  SPI_CR2.SSM = 1;  // Software slave management -- 0: Software slave management disabled -- 1: Software slave management enabled

  while (1){
    
    if (SPI_SR.RXNE) {
      CH = SPI_DR; // Receive Char
      SPI_DR = 'C';// Send Char
      SPI_CR2.SSI = 1; 
    } else 
      SPI_CR2.SSI = 0; 

  }
  
  return 0;
}
